Package org.eclipse.net4j.util.concurrent

# Class Stoppable

java.lang.Object
org.eclipse.net4j.util.concurrent.Stoppable

All Implemented Interfaces:
  `Runnable`

public abstract class Stoppable extends Object implements Runnable
A `runnable` that can be `stopped`.

Since:
  3.2
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Stoppable()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`doRun()`
`final boolean`
`isStopped()`
`final void`
`run()`
`final void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stoppable

public Stoppable()

## Method Details

### isStopped

public final boolean isStopped()

### stop

public final void stop()

### run

public final void run()

Specified by:
  `run` in interface `Runnable`

### doRun

protected abstract void doRun() throws InterruptedException

Throws:
  `InterruptedException`